AnnotationRecord.AnnotationSubType (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.messaging.common.messages.records
Enum AnnotationRecord.AnnotationSubType

    java.lang.Object
      java.lang.Enum<AnnotationRecord.AnnotationSubType>
          org.gcube.messaging.common.messages.records.AnnotationRecord.AnnotationSubType

All Implemented Interfaces:
  Serializable, Comparable<AnnotationRecord.AnnotationSubType>

Enclosing class:
  AnnotationRecord

    public static enum AnnotationRecord.AnnotationSubType

extends Enum<AnnotationRecord.AnnotationSubType>

Author:
  Andrea Manzi(CERN)

Enum Constant Summary
`Create_Annotation`
`Delete_Annotation`
`Edit_Annotation`

Method Summary
`String` | `toString()`
`static AnnotationRecord.AnnotationSubType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnnotationRecord.AnnotationSubType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Create_Annotation

    public static final AnnotationRecord.AnnotationSubType Create_Annotation

### Edit_Annotation

    public static final AnnotationRecord.AnnotationSubType Edit_Annotation

### Delete_Annotation

    public static final AnnotationRecord.AnnotationSubType Delete_Annotation

Method Detail

### values

    public static AnnotationRecord.AnnotationSubType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnnotationRecord.AnnotationSubType c : AnnotationRecord.AnnotationSubType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnnotationRecord.AnnotationSubType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<AnnotationRecord.AnnotationSubType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.